label wait:
    b "(I should assess the situation before comitting to an action.)"
    show berserker angry flip
    "You take a combat stance, holding your steely gaze on Glam Necromancer."
    hide berserker
    with moveoutleft
    show necromancer neutral at right
    with moveinright
    "He was initially on guard, expecting you to attack - but noticing your lack of approach, he puffs out his chest braggingly."
    show necromancer laugh
    n "That's right, you know how futile stopping me is."
    n "After all this time, my revenge WILL be had!"
    show berserker angry flip at left
    with moveinleft
    $ countdown -= 10    
menu:
    n "After all this time, my revenge WILL be had!"
    "Woah woah hold up. Revenge?":
        jump revenge
    
    "(Is there something to thow at him?)":
        jump thrown
    
label revenge:
    show berserker concerned flip
    b "What the hell do you mean by 'revenge'?"
    "To your surprise, Glam Necromancer responds to what you thought was a very reasonable question with an anguished howl."
    show necromancer neutral
    n "You of ALL people should understand my pain! My anguish!"
    show berserker surprised flip
    b "..."
    show berserker concerned flip
    b "No, I really don't."
    show necromancer sad
    n "Don't take the piss out of me!"
    n "I know you remember that day..."
    stop music fadeout 1.0
    show necromancer neutral
    n "Alana."
    hide necromancer
    with dissolve
    show berserker surprised flip at center
    with move
    b "How did you know my...?"
    show berserker concerned flip
    b "(Could he be THAT Wyatt?)"
       
    "And now, you're pretty sure you remember."
    "It was 10 years ago. Your birthday."
    $ countdown -= 10
menu:
    "It was 10 years ago. Your birthday."
    "Have a flashback memory for the next 10 seconds":
        jump memory

    "Punch this asshole for threatening the glorious 'za.":
        jump rush
        
label thrown:
    show berserker concerned flip
    "You glance around for something hefty to clock this jerk in the head with."
    "There's a diamante-studded skull next to your foot. You pick it up."

    "It's pretty gaudy, but solid enough."

    show berserker angry flip
    "Your muscles flex expertly, as you pull the skull back and take aim."
    play music "In a Heartbeat.mp3" fadeout 1.0
    show necromancer hurt
    n "Wh-what are you doing with that?"
    b "Oh shut UP already!"

    "You let the skull fly across the room with decent speed."
    "It'll definitely cause some damage, but you exerted enough restraint to avoid anything more than a cracked rib."
    "Which is rather generous of you, you think."
    play sound "punch.wav"
    hide necromancer
    with moveoutright
    with hpunch
    n "Oof!"
    "It cracks him heftily in the stomach, and he goes down like a ton of bricks."
    $ countdown -= 10
    jump damaged
    
label rush:
    hide necromancer
    with dissolve
    play music "In a Heartbeat.mp3" fadeout 1.0
    show berserker angry flip
    "You rush in, with fists raised and murder in your eyes."
    hide berserker angry flip
    with moveoutright
    b "PREPARE TO HAVE YOUR SHIT KICKED IN!"
    
    "The magic circle is a mere 10 meters from you, and with your state-of-the-art battle suit, you could cover that distance in seconds."
    show berserker angry flip
    with moveinleft
    "You burst into a full-speed print..."
    "...but don't seem to be making much progress."
    "Without slowing down, you take stock of your surroundings."
    "It seems that you've stepped into some kind of dimensional rift, clearly a trap laid for intruders."
    "It's turning those 10 meters into several hundred (from your perspective, at least) leaving you stuck."
    
    hide berserker
    with moveoutleft
    show necromancer laugh at right
    with moveinright
    "The Necromancer looks smug. Very smug."
    $ countdown -= 10
menu:
    "The Necromancer looks smug. Very smug."
    "Crank up the speed, motherfucker!":
        jump dispel

label dispel:
    hide necromancer
    with moveoutright
    show berserker angry flip
    with moveinleft
    "You're not going to let some puny magic slow you down."
    "You crank up the speed, throwing sparks with each pounding heel on tile."
    "Within the dimensional rift, air whips through your hair as you barrel forward at augmented speed."
    "Knowing your voice will carry behind you, you yell to your ally."
    show berserker angry flip
    b "Yo Priest! Dispel this shit!"
    hide berserker
    with moveoutright
    show priest concerned at left
    with moveinleft
    p "Uh, aight, let's see where you're going with this."
    show priest casting
    "Priest readies his microphone, and a pure light rediates from his body - a strong breeze forcing back the fog."
    p "Dispel!"
    play sound "rewind.wav"
    scene bg light
    with dissolve
    scene bg basement
    with dissolve
    "With a loud crash, the dimensional drift disappears, like it was torn to ribbons."
    $ countdown -= 10
    
menu:
    "With a loud crash, the dimensional drift disappears, like it was torn to ribbons."
    "Take this loser out!":
        jump punch
    
label punch:
    "And with nothing to stop you, you fly towards Glam Necromancer like a bullet."
    show berserker angry flip
    with moveinleft
    b "EAT THIS, YOU PIZZA SHIT!"
    hide berserker
    with moveoutright
    "Even though you're travelling at intense speeds, your mind is more than keeping up."
    "With a mere thought, emergency brakes kick in on your battle suit - heels digging into the floor and your suit massively cushioning the inertia."
    show necromancer hurt at right
    with moveinright
    "Your fist, primed to unleash a wicked uppercut to Glam Necromancer's gut, stops just millimeters away, but the force behind the punch is more than enough to send him flying."
    
    show berserker angry flip at right
    with moveinleft
    with hpunch
    play sound "punch.wav"
    n "Guh!"
    hide necromancer
    with moveoutright
    "Flung backwards, your bounty suddenly finds himself flat on his back, near winded."
    $ countdown -= 9
    hide berserker
    with dissolve
    jump damaged
    
label damaged:
    show necromancer sad at right
    with easeinright
    n "Ugh, ow, jesus why on Earth did you do that?"
    show berserker angry flip at left
    with moveinleft
    b "To stop you from doing this incredibly stupid ritual, why would I NOT hit you?"
    n "I don't have to take this kind of abuse from you!"
    show necromancer neutral
    n "Now the ritual is in its final stages, I don't need to stick around."
    n "Have fun trying to stop it without the deactivation phrase, assholes."
    hide necromancer
    with dissolve
    stop music fadeout 1.0
    $ countdown_active = False
    show berserker surprised flip
    "Shadows whip around Glam Necromancer's feet, as he starts to fade away, teleporting to somewhere else."
    "You stretch out an arm to try and stop him, but you feel so queasy, knowing that you will never eat a slice of pizza again, you can barely move."
    jump failure
    
    return